Skip to Content
avatar image
Former Member

Service Pack upgrade Plan for BODS & BO

Service Pack upgrade Plan for BODS & BO:

Hi All,

Currently we are on 4.1 SP4 of BO and 4.2 SP4 of BODS. Planning to upgrade both(BO & BODS) to latest versions.

* Question is , which one I can pick for upgrade BO or BODS for a best practice. As per my previous exp. BODS upgrade will take time on BOE servers(BODS is installed on both CMS1 and CMS2 and we have dedicated BODS server also).

Should I start BO update or BODS. or anything is fine ?

Version upgrade from BO 4.1 SP4 Patch 2 To 4.1 SP7 Patch 1.

BODS from 4.2 SP4 to 4.2 SP6.

Regards,

Pulendar

Add comment
10|10000 characters needed characters exceeded

  • Follow
  • Get RSS Feed

1 Answer

  • Best Answer
    Apr 01, 2016 at 07:38 AM

    Dear Pulendar,

    According to SAP Data Services 4.2 PAM, DS requires SAP BusinessObjects Business Intelligence (BI) or Information Platform Services (IPS) for security capability.

    Regarding product compatibility, there are the following information:

    • DS 4.2 SP6 is compatible with BI/IPS 4.1 SP6 & SP7
    • DS 4.2 SP6 Patch 3 is compatible with BI/IPS 4.1 SP6 & SP7, BI/IPS 4.2

    In a similar case, I 've upgraded first the BI installation first and then moved on to DS.

    Finally, I would recommend you to:

    A.) Take a backup for BI deployment prior to upgrade (SAP Note 1634517). The backup will consist of:

    • A backup of the CMS system database.
    • A bare-metal backup of the entire file system, including the operating system, of all machines in the BI platform deployment.
    • A backup of the Input FRS and the Output FRS file stores (if not included in the BI platform file system).
    • A backup of the web tier components (if not included as part of the BI platform file system).
    • A backup of the auditing database.

    You could also have a look at 'Chapter 13 - Backing Up and Restoring Your System' of the Administrator's Guide.

    B.) Bear in mind that you cannot roll back a Data Services Patch or Service Pack. (SAP Note 2008279 - Data Services Rollback Best Practices).

    • If your environment is deployed on a VM, then take a snap shot of the VM and also of the DS Repo. Then if you don't want the patch discard the new image and Repo revert back to snap shot.
    • If not using VMs, then set up a new machine with DS with higher patch level in a new environment and test there first.
    • You cannot downgrade a Central or Local repository either - altough you can retrieve it from your DB backup.

    C.) Have a look on the useful blog post 'SAP BusinessObjects XI 3.1/BI 4.x installation prerequisites and best practices [Windows]'

    http://scn.sap.com/community/bi-platform/blog/2014/05/01/sap-businessobjects-installation-pre-requisites

    Best regards,

    ilias

    Add comment
    10|10000 characters needed characters exceeded